#!/bin/sh

#  Copyright (c) Members of the EGEE Collaboration. 2004. 
#  See http://www.eu-egee.org/partners/ for details on the copyright
#  holders.  
#  
#  Licensed under the Apache License, Version 2.0 (the "License"); 
#  you may not use this file except in compliance with the License. 
#  You may obtain a copy of the License at 
#  
#      http://www.apache.org/licenses/LICENSE-2.0 
#  
#  Unless required by applicable law or agreed to in writing, software 
#  distributed under the License is distributed on an "AS IS" BASIS, 
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
#  See the License for the specific language governing permissions and 
#  limitations under the License.

PREFIX=$1
STAGEDIR=$2
MODULE_VERSION=$3
DELEGATION_VERSION=$4

WSDLDIR=${PREFIX}/share/wsdl
mkdir -p ${WSDLDIR} 2>/dev/null
sed -e "s/org\.glite\.ce-mon_/org.glite.ce-monitor_/g"\;"s/\.wsdl/-${MODULE_VERSION}.wsdl/g"  interface/org.glite.ce-mon_service.wsdl > ${WSDLDIR}/org.glite.ce-monitor_service-${MODULE_VERSION}.wsdl
cp interface/org.glite.ce-mon_types.wsdl ${WSDLDIR}/org.glite.ce-monitor_types-${MODULE_VERSION}.wsdl
cp interface/org.glite.ce-faults.xsd ${WSDLDIR}/org.glite.ce-faults-${MODULE_VERSION}.xsd
sed -e "s/\.wsdl/-${MODULE_VERSION}.wsdl/g"\;"s/\.xsd/-${MODULE_VERSION}.xsd/g" interface/org.glite.ce-mon_faults.wsdl > ${WSDLDIR}/org.glite.ce-monitor_faults-${MODULE_VERSION}.wsdl
sed -e "s/org\.glite\.ce-mon_/org.glite.ce-monitor_/g"\;"s/\.wsdl/-${MODULE_VERSION}.wsdl/g" interface/org.glite.ce-mon_consumer_service.wsdl > ${WSDLDIR}/org.glite.ce-monitor_consumer_service-${MODULE_VERSION}.wsdl
sed -e "s/\.wsdl/-${MODULE_VERSION}.wsdl/g"\;"s/org\.glite\.security-delegation-[0-9]*\.[0-9]*\.[0-9]*/www.gridsite.org-delegation-${DELEGATION_VERSION}/g" interface/org.glite.ce-cream_service.wsdl > ${WSDLDIR}/org.glite.ce-cream_service-${MODULE_VERSION}.wsdl
sed -e "s/\.wsdl/-${MODULE_VERSION}.wsdl/g"\;"s/org\.glite\.security-delegation-[0-9]*\.[0-9]*\.[0-9]*/www.gridsite.org-delegation-${DELEGATION_VERSION}/g" interface/org.glite.ce-cream2_service.wsdl > ${WSDLDIR}/org.glite.ce-cream2_service-${MODULE_VERSION}.wsdl
cp interface/org.glite.ce-cream_types.wsdl ${WSDLDIR}/org.glite.ce-cream_types-${MODULE_VERSION}.wsdl
sed -e "s/\.wsdl/-${MODULE_VERSION}.wsdl/g"\;"s/\.xsd/-${MODULE_VERSION}.xsd/g" interface/org.glite.ce-cream_faults.wsdl > ${WSDLDIR}/org.glite.ce-cream_faults-${MODULE_VERSION}.wsdl
cp interface/org.glite.ce-faults.xsd ${WSDLDIR}/org.glite.ce-faults-${MODULE_VERSION}.xsd
cp interface/www.gridsite.org-delegation-2.0.0.wsdl ${WSDLDIR}

